/*====================================================================*\

Util.java

Utility methods class.

------------------------------------------------------------------------

This file is part of NlfExample, a Java application that demonstrates
the use of the uk.org.blankaspect.nlf API.
Copyright 2007-2013 Andy Morgan-Richards.

NlfExample is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <http://www.gnu.org/licenses/>.

\*====================================================================*/


// IMPORTS


import java.io.File;

//----------------------------------------------------------------------


// UTILITY METHODS CLASS


class Util
{

////////////////////////////////////////////////////////////////////////
//  Constants
////////////////////////////////////////////////////////////////////////

    private static final    String  FAILED_TO_GET_PATHNAME_STR  = "Failed to get the canonical pathname " +
                                                                    "for the file or directory.";

////////////////////////////////////////////////////////////////////////
//  Constructors
////////////////////////////////////////////////////////////////////////

    private Util( )
    {
    }

    //------------------------------------------------------------------

////////////////////////////////////////////////////////////////////////
//  Class methods
////////////////////////////////////////////////////////////////////////

    public static String getPathname( File file )
    {
        String pathname = null;
        if ( file != null )
        {
            try
            {
                try
                {
                    pathname = file.getCanonicalPath( );
                }
                catch ( Exception e )
                {
                    System.err.println( file.getPath( ) );
                    System.err.println( FAILED_TO_GET_PATHNAME_STR );
                    System.err.println( "(" + e + ")" );
                    pathname = file.getAbsolutePath( );
                }
            }
            catch ( SecurityException e )
            {
                System.err.println( e );
                pathname = file.getPath( );
            }
        }
        return pathname;
    }

    //------------------------------------------------------------------

}

//----------------------------------------------------------------------
