/*====================================================================*\

TempFileException.java

Temporary file exception class.

------------------------------------------------------------------------

This file is part of NlfExample, a Java application that demonstrates
the use of the uk.org.blankaspect.nlf API.
Copyright 2007-2013 Andy Morgan-Richards.

NlfExample is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <http://www.gnu.org/licenses/>.

\*====================================================================*/


// PACKAGE


package exception;

//----------------------------------------------------------------------


// IMPORTS


import java.io.File;

//----------------------------------------------------------------------


// TEMPORARY FILE EXCEPTION CLASS


public class TempFileException
    extends FileException
{

////////////////////////////////////////////////////////////////////////
//  Constants
////////////////////////////////////////////////////////////////////////

    private static final    String  SAVED_STR   = "\nThe file was saved as:\n";

////////////////////////////////////////////////////////////////////////
//  Constructors
////////////////////////////////////////////////////////////////////////

    public TempFileException( AppException.Id id,
                              File            outFile,
                              File            tempFile )
    {
        super( id, outFile );
        this.tempFile = tempFile;
    }

    //------------------------------------------------------------------

    public TempFileException( AppException.Id id,
                              File            outFile,
                              Throwable       cause,
                              File            tempFile )
    {
        super( id, outFile, cause );
        this.tempFile = tempFile;
    }

    //------------------------------------------------------------------

////////////////////////////////////////////////////////////////////////
//  Instance methods : overriding methods
////////////////////////////////////////////////////////////////////////

    @Override
    protected String getSuffix( )
    {
        return ( SAVED_STR + getPathname( tempFile ) );
    }

    //------------------------------------------------------------------

////////////////////////////////////////////////////////////////////////
//  Instance variables
////////////////////////////////////////////////////////////////////////

    private File    tempFile;

}

//----------------------------------------------------------------------
