/*====================================================================*\

FilePermission.java

File permission interface.

------------------------------------------------------------------------

This file is part of NlfExample, a Java application that demonstrates
the use of the uk.org.blankaspect.nlf API.
Copyright 2007-2013 Andy Morgan-Richards.

NlfExample is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <http://www.gnu.org/licenses/>.

\*====================================================================*/


// PACKAGE


package util;

//----------------------------------------------------------------------


// FILE PERMISSION INTERFACE


interface FilePermission
{

////////////////////////////////////////////////////////////////////////
//  Constants
////////////////////////////////////////////////////////////////////////

    int OTHER_EXECUTE   = 1 << 0;
    int OTHER_WRITE     = 1 << 1;
    int OTHER_READ      = 1 << 2;
    int GROUP_EXECUTE   = 1 << 3;
    int GROUP_WRITE     = 1 << 4;
    int GROUP_READ      = 1 << 5;
    int USER_EXECUTE    = 1 << 6;
    int USER_WRITE      = 1 << 7;
    int USER_READ       = 1 << 8;

    int PERMISSIONS_PER_SET = 3;
    int NUM_SETS            = 3;
    int NUM_PERMISSIONS     = NUM_SETS * PERMISSIONS_PER_SET;

}

//----------------------------------------------------------------------
