/*====================================================================*\

ListUtilities.java

List utility methods class.

------------------------------------------------------------------------

This file is part of NlfExample, a Java application that demonstrates
the use of the uk.org.blankaspect.nlf API.
Copyright 2007-2013 Andy Morgan-Richards.

NlfExample is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <http://www.gnu.org/licenses/>.

\*====================================================================*/


// PACKAGE


package util;

//----------------------------------------------------------------------


// IMPORTS


import java.util.ArrayList;
import java.util.List;

//----------------------------------------------------------------------


// LIST UTILITY METHODS CLASS


public class ListUtilities
{

////////////////////////////////////////////////////////////////////////
//  Constructors
////////////////////////////////////////////////////////////////////////

    private ListUtilities( )
    {
    }

    //------------------------------------------------------------------

////////////////////////////////////////////////////////////////////////
//  Class methods
////////////////////////////////////////////////////////////////////////

    public static boolean isNullOrEmpty( List<?> list )
    {
        return ( (list == null) || list.isEmpty( ) );
    }

    //------------------------------------------------------------------

    public static List<Integer> intArrayToList( int[] array )
    {
        List<Integer> values = new ArrayList<Integer>( );
        for ( int i = 0; i < array.length; ++i )
            values.add( array[i] );
        return values;
    }

    //------------------------------------------------------------------

    public static int[] intListToArray( List<Integer> list )
    {
        int[] values = new int[list.size( )];
        for ( int i = 0; i < values.length; ++i )
            values[i] = list.get( i );
        return values;
    }

    //------------------------------------------------------------------

    public static List<Long> longArrayToList( long[] array )
    {
        List<Long> values = new ArrayList<Long>( );
        for ( int i = 0; i < array.length; ++i )
            values.add( array[i] );
        return values;
    }

    //------------------------------------------------------------------

    public static long[] longListToArray( List<Long> list )
    {
        long[] values = new long[list.size( )];
        for ( int i = 0; i < values.length; ++i )
            values[i] = list.get( i );
        return values;
    }

    //------------------------------------------------------------------

}

//----------------------------------------------------------------------
