/*====================================================================*\

ModernCalendar.java

Modern calendar class.

------------------------------------------------------------------------

This file is part of NlfExample, a Java application that demonstrates
the use of the uk.org.blankaspect.nlf API.
Copyright 2007-2013 Andy Morgan-Richards.

NlfExample is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <http://www.gnu.org/licenses/>.

\*====================================================================*/


// PACKAGE


package util;

//----------------------------------------------------------------------


// IMPORTS


import java.util.GregorianCalendar;

//----------------------------------------------------------------------


// MODERN CALENDAR CLASS


/**
 * This is a pure Gregorian calendar: there is no point at which it switches from Julian dates to Gregorian
 * dates.
 */

public class ModernCalendar
    extends GregorianCalendar
{

////////////////////////////////////////////////////////////////////////
//  Constructors
////////////////////////////////////////////////////////////////////////

    public ModernCalendar( )
    {
        _init( );
    }

    //------------------------------------------------------------------

    public ModernCalendar( int year,
                           int month,
                           int day )
    {
        super( year, month, day );
        _init( );
    }

    //------------------------------------------------------------------

    public ModernCalendar( int year,
                           int month,
                           int day,
                           int hour,
                           int minute,
                           int second )
    {
        super( year, month, day, hour, minute, second );
        _init( );
    }

    //------------------------------------------------------------------

////////////////////////////////////////////////////////////////////////
//  Instance methods
////////////////////////////////////////////////////////////////////////

    private void _init( )
    {
        setGregorianChange( new java.util.Date( Long.MIN_VALUE ) );
    }

    //------------------------------------------------------------------

}

//----------------------------------------------------------------------
