/*====================================================================*\

SystemUtilities.java

System utility methods class.

------------------------------------------------------------------------

This file is part of NlfExample, a Java application that demonstrates
the use of the uk.org.blankaspect.nlf API.
Copyright 2007-2013 Andy Morgan-Richards.

NlfExample is free software: you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <http://www.gnu.org/licenses/>.

\*====================================================================*/


// PACKAGE


package util;

//----------------------------------------------------------------------


// SYSTEM UTILITY METHODS CLASS


public class SystemUtilities
{

////////////////////////////////////////////////////////////////////////
//  Constants
////////////////////////////////////////////////////////////////////////

    private static final    String  USER_HOME_PROPERTY_KEY                  = "user.home";
    private static final    String  CURRENT_WORKING_DIRECTORY_PROPERTY_KEY  = "user.dir";
    private static final    String  LINE_SEPARATOR_PROPERTY_KEY             = "line.separator";

    private static final    String  DEFAULT_LINE_SEPARATOR  = "\n";

////////////////////////////////////////////////////////////////////////
//  Constructors
////////////////////////////////////////////////////////////////////////

    private SystemUtilities( )
    {
    }

    //------------------------------------------------------------------

////////////////////////////////////////////////////////////////////////
//  Class methods
////////////////////////////////////////////////////////////////////////

    public static String getUserHomePathname( )
    {
        return System.getProperty( USER_HOME_PROPERTY_KEY );
    }

    //------------------------------------------------------------------

    public static String getCurrentWorkingDirectoryPathname( )
    {
        return System.getProperty( CURRENT_WORKING_DIRECTORY_PROPERTY_KEY, "." );
    }

    //------------------------------------------------------------------

    public static String getLineSeparator( )
    {
        return System.getProperty( LINE_SEPARATOR_PROPERTY_KEY, DEFAULT_LINE_SEPARATOR );
    }

    //------------------------------------------------------------------

}

//----------------------------------------------------------------------
