/*====================================================================*\

NlfConstants.java

Nested List File constants interface.

------------------------------------------------------------------------

This file is part of the Blank Aspect NLF library (Java package
uk.org.blankaspect.nlf).
Copyright 2007-2013 Andy Morgan-Richards.

The Blank Aspect NLF library is free software: you can redistribute
it and/or modify it under the terms of the GNU General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <http://www.gnu.org/licenses/>.

\*====================================================================*/


// PACKAGE


package uk.org.blankaspect.nlf;

//----------------------------------------------------------------------


// NESTED LIST FILE CONSTANTS INTERFACE


/**
 * This interface defines publicly accessible constants that are used by classes in the Nested List File
 * package.
 *
 * @since 1.0
 */

public interface NlfConstants
{

////////////////////////////////////////////////////////////////////////
//  Constants
////////////////////////////////////////////////////////////////////////

    // Name separators
    char    NAME_SEPARATOR_CHAR     = '|';
    char    PATHNAME_SEPARATOR_CHAR = '.';

    // Tree traversal order
    enum TraversalOrder
    {
        BREADTH_FIRST,
        DEPTH_FIRST
    }

}

//----------------------------------------------------------------------
