/*====================================================================*\

TerminatedException.java

"Operation terminated" exception class.

------------------------------------------------------------------------

This file is part of the Blank Aspect NLF library (Java package
uk.org.blankaspect.nlf).
Copyright 2007-2013 Andy Morgan-Richards.

The Blank Aspect NLF library is free software: you can redistribute
it and/or modify it under the terms of the GNU General Public License as
published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

This library is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program.  If not, see <http://www.gnu.org/licenses/>.

\*====================================================================*/


// PACKAGE


package uk.org.blankaspect.nlf;

//----------------------------------------------------------------------


// "OPERATION TERMINATED" EXCEPTION CLASS


/**
 * An object of this class signals that an operation has been terminated.
 *
 * @since 1.0
 */

public class TerminatedException
    extends NlfUncheckedException
{

////////////////////////////////////////////////////////////////////////
//  Constructors
////////////////////////////////////////////////////////////////////////

    /**
     * Constructs a {@code TerminatedException}.
     *
     * @since 1.0
     */

    public TerminatedException( )
    {
        super( ExceptionId.OPERATION_TERMINATED );
    }

    //------------------------------------------------------------------

    /**
     * Constructs a {@code TerminatedException} with the specified cause.
     *
     * @param cause  the {@code java.lang.Throwable} that caused the operation to be terminated.
     * @since 1.0
     */

    public TerminatedException( Throwable cause )
    {
        super( ExceptionId.OPERATION_TERMINATED, cause );
    }

    //------------------------------------------------------------------

}

//----------------------------------------------------------------------
